using Mall.Model.Entity.BaseSetUp;
using System;
using VT.FW.DB;

namespace Mall.Model.Extend.BaseSetUp
{
    /// <summary>
    /// 营销中心插件配置扩展实体类
    /// </summary>
    [Serializable]
    [DB(ConnectionName = "DefaultConnection")]
    public class RB_Marketing_Plug_Extend : RB_Marketing_Plug
    {
        /// <summary>
        /// 插件类型名称
        /// </summary>
        public string PlugTypeName
        {
            get
            {
                string str = "默认";
                switch (this.PlugType)
                {
                    case 1: str = "默认"; break;
                    case 2: str = "营销工具"; break;
                }
                return str;
            }
        }

        /// <summary>
        /// 商户编号
        /// </summary>
        public int TenantId { get; set; }
    }
}